<ui:fragment xmlns="http://www.w3.org/1999/xhtml"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:b="http://bootsfaces.net/ui"
             template="/layout/template.xhtml">

    <f:facet name="heading">
        <b:icon value="fa-circle-info"/>
        <h:outputText value="Purger les tokens expirés" style="text-decoration: none"/>
    </f:facet>

    <h4>Important : </h4>
    <ul>
        <li>Pour supprimer l’historique de vos anciens tokens,</li>
        <li>Seuls les tokens expirés/désactivés seront supprimés.</li>
    </ul>

    <b:button look="danger" size="sg" class="gzl-mt-3rem gzl-mb-3rem gzl-ml-3rem gzl-align-center"
              onclick="$('.formValidationDeleteExpiredTokens').modal('show')"
              value="Supprimer les anciens tokens"/>

    <b:modal title="Purger les tokens ?" styleClass="formValidationDeleteExpiredTokens"
             closable="true" autoUpdate="false"
             closeOnEscape="true">

        <h4 class="font-italic gzl-mb-3rem red bold">Cette opération est irreversible !</h4>
        <h5 class="black">La suppression des tokens expirés / désactivés est définitive.</h5>
        <h5 class="black">Le token actif ne sera pas impacté par la suppression.</h5>
        <b:row>
            <b:column>
                <b:form>
                    <b:button class="gzl-mt-1rem" largeScreen="half" value="Annuler"
                              dismiss="modal" onclick="return false;"/>
                    <b:commandButton class="gzl-mt-1rem" largeScreen="half" update="@form"
                                     dismiss="modal" ajax="true"
                                     value="Supprimer" look="danger"
                                     action="#{tokenBean.removeByUserExpiredTokens()}"
                                     actionListener="#{growlBean.resultPurge()}"
                                     oncomplete="if(!validationFailed) { $('.formValidationDeleteExpiredTokens').modal('hide') }function () { location.reload(); }">
                    </b:commandButton>
                </b:form>
            </b:column>
        </b:row>
        <b:fetchBeanInfos/>
    </b:modal>
</ui:fragment>